###############################################################################
###############################################################################
##
##  Copyright (C) 2007 Asianux Project.  All rights reserved.
##
##  This copyrighted material is made available to anyone wishing to use,
##  modify, copy, or redistribute it subject to the terms and conditions
##  of the GNU General Public License v.2.
##
###############################################################################
###############################################################################

%define dist AX
%define rhel 5

Source10: kmodtool2
%define kmodtool bash %{SOURCE10}
%{!?kversion: %define kversion 2.6.18-8.10AX}

%define kmod_name reiserfs
%define kverrel %(%{kmodtool} verrel %{?kversion} 2>/dev/null)

%define upvar ""
%ifarch i686
%define paevar PAE
%endif
%ifarch i686 x86_64 ia64
%define xenvar xen
%endif
%ifarch ppc
%define smpvar smp
%endif
%ifarch ppc64 ppc64iseries
%define kdumpvar kdump
%endif

%{!?kvariants: %define kvariants %{?upvar} %{?paevar} %{?xenvar} %{?smpvar} %{?kdumpvar}}

Name:           %{kmod_name}-kmod
Version:        1.0
Release:        7.%(echo %{kverrel} | tr - _)
Summary:        %{kmod_name} kernel module

Group:          System Environment/Kernel
License:        GPL
Source0:        reiserfs-2.6.18.tar.bz2
Patch1:		external-build.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
ExclusiveArch:  i686 x86_64 ppc64 ia64 sparc sparc64 s390x

%description
reiserfs - Reiserfs

# magic hidden here:
# NOTE: these two extra defines will not be necessary in future.
%define kmp_version %{version}
%define kmp_release %{release}
%{expand:%(%{kmodtool} rpmtemplate %{kmod_name} %{kverrel} %{kvariants} 2>/dev/null)}

%prep
# to understand the magic better or to debug it, uncomment this:
#{kmodtool} rpmtemplate_kmp %{kmod_name} %{kverrel} %{kvariants} 2>/dev/null
#sleep 5
%setup -q -c -T -a 0
%patch1 -p1
for kvariant in %{kvariants} ; do
    cp -a reiserfs-2.6.18 _kmod_build_$kvariant
done


%build
for kvariant in %{kvariants}
do
    ksrc=%{_usrsrc}/kernels/%{kverrel}${kvariant:+-$kvariant}-%{_target_cpu}
    pushd _kmod_build_$kvariant
    make -C "${ksrc}" modules M=$PWD %{?_smp_mflags}
    popd
done


%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=extra/%{kmod_name}
for kvariant in %{kvariants}
do
    ksrc=%{_usrsrc}/kernels/%{kverrel}${kvariant:+-$kvariant}-%{_target_cpu}
    pushd _kmod_build_$kvariant
    make -C "${ksrc}" modules_install M=$PWD
    popd
done

# Temporarily executable for stripping, fixed later in %%files.
chmod u+x $RPM_BUILD_ROOT/lib/modules/*/extra/%{kmod_name}/*


%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Tue Aug 14 2007 <ax-kernel@asianux.com> - 1.0-7
- Re-build for new kernel

* Tue Jul 31 2007 <ax-kernel@asianux.com> - 1.0-6
- Re-build for new kernel

* Tue Jul 17 2007 <ax-kernel@asianux.com> - 1.0-5
- Re-build for new kernel

* Tue Jul 3  2007 <ax-kernel@asianux.com> - 1.0-4
- Re-build for new kernel

* Tue Jun 19 2007 <ax-kernel@asianux.com> - 1.0-3
- Re-build for new kernel

* Sun May 27 2007 <ax-kernel@asianux.com> - 1.0-2
- Re-build for new kernel

* Wed May 16 2007 <ax-kernel@asianux.com> - 1.0-1
- Initial Build
